Update webhook endpoint
curl --request PATCH \
--url https://api.mnemom.ai/v1/orgs/{org_id}/webhooks/{endpoint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"event_types": [],
"is_active": true
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/webhooks/{endpoint_id}"
payload = {
"url": "<string>",
"description": "<string>",
"event_types": [],
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', description: '<string>', event_types: [], is_active: true})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/webhooks/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoint_id": "<string>",
"billing_account_id": "<string>",
"url": "<string>",
"description": "<string>",
"event_types": [
"<string>"
],
"is_active": true,
"consecutive_failures": 123,
"disabled_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Webhook Notifications
Update webhook endpoint
Update an existing webhook endpoint.
PATCH
/
orgs
/
{org_id}
/
webhooks
/
{endpoint_id}
Update webhook endpoint
Authorizations
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Webhook endpoint identifier (e.g. whe-abc12345)
Body
application/json
New HTTPS URL
Available options:
integrity.violation, integrity.checkpoint, drift.resolved, conscience.escalation, quota.warning, quota.exceeded, subscription.status_changed, agent.paused, agent.resumed, agent.killed, conscience.values_updated, reputation.score_changed, reputation.grade_changed, quota.risk_exceeded, quota.risk_warning, team.created, team.archived, team.member_added, team.member_removed, team.card_updated, quota.team_reputation_exceeded, quota.team_reputation_warning, quota.sh_warning, sh.evaluation.warn, sh.evaluation.quarantine, sh.evaluation.block, sh.canary.triggered, sh.session.escalated, sh.campaign.detected, recipe.promoted, recipe.retired, recipe.candidate.created, reviewer-mode.changed, trace.created, trace.verified, trace.failed, trace.escalation_required, policy.violation, transaction.completed, alignment_card.updated, protection_card.updated, org_alignment_template.updated, org_alignment_template.deleted, org_protection_template.updated, org_protection_template.deleted, agent.exemption.granted, agent.exemption.revoked, sideband.coherence.fired, sideband.fault_line.fired, sideband.fleet.fired, sideband.drift.fired, advisory.published, ioc.added, network.campaign.closed Set to true to re-enable a disabled endpoint (resets failure counter)
Response
Updated endpoint
Webhook endpoint without signing secret (used in list and get responses)